require File.expand_path(File.dirname(__FILE__) + '/../lib/stoolie')
require 'factory_girl'

include RSpec::Mocks::ExampleMethods

FactoryGirl.definition_file_paths = %w(../factories)

RSpec.configure do |config|
  config.include FactoryGirl::Syntax::Methods

  config.before(:each) do
    Stoolie.configure do |config|
      config.smart_filter = {api_key: 'api-key', rule_key: 'rule-key'}
    end
  end

  config.before(:each) do
    def stub_filter(stats = {})
      filter_result = {"message"=>"", "output"=>"", "statistics"=>{"bytes"=>4, "invalid_attributes"=>0,
                      "invalid_protocols"=>0, "invalid_tags"=>0, "blacklisted_phrases"=>0, "flagged_phrases"=>0,
                      "javascript_attributes"=>0, "javascript_protocols"=>0, "javascript_tags"=>0,
                      "prevoty_profanity_features"=>0, "prevoty_spam_features"=>0, "prevoty_link_metadata"=>{},
                      "prevoty_link_density"=>{}, "tags_balanced"=>0, "transformations"=>0}}
      filter_result['statistics'].merge!(stats)
      SmartFilter.any_instance.stub(:filter!).and_return(filter_result)
    end
  end
end
